## earthworm 7.10-centos6.8-64bit-bin

=== src/Makefile ===
#
#       Top level makefile for Earthworm
#             Lucky Vidmar Mon Feb 14 21:48:28 GMT 2000
#
#
# This makefile contains all the directives necessary to compile
# earthworm under Solaris and NT, as well as clean up the Earthworm
# source and binary file tree.
#
# 1. To build (compile) the entire Earthworm distribution on a Sun:
#        make solaris
#
# 1a. To compile the Earthworm distrib. on a Linux or other POSIX box:
#        make unix
#
# 2. To build (compile) the entire Earthworm distribution on an NT PC:
#        nmake nt
#
# 3. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a Sun:
#        make clean_solaris
#
# 3a. To clean up the source tree on a POSIX computer:
#        make clean_unix
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a PC running NT:
#        nmake clean_nt
#
# 5. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a Sun:
#        make clean_bin_solaris
#
# 6. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a PC running NT:
#        nmake clean_bin_nt
#
#

#
# Starting with Earthworm version 5, the source directory is
# divided into subfolders. Whenever a new module is added to Earthworm,
# it should be added to the Makefile in the appropriate subfolder.
#

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# If a new subfolder is created, it should be added to the list of SUBFOLDERs
#

SUBFOLDERS = \
	archiving \
	data_exchange \
	data_sources \
	diagnostic_tools \
	display \
	grab_bag \
	reporting \
	seismic_processing \
	system_control

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_buildinfo  solaris_libs  solaris_modules
unix:    unix_buildinfo     unix_libs     unix_modules
nt:      nt_buildinfo       nt_libs       nt_modules

###################
# Solaris targets #
###################

solaris_buildinfo: unix_buildinfo

solaris_libs: CHECK_PLATFORM_SOL unix_libs

solaris_modules: CHECK_PLATFORM_SOL MAKING_MODULES_MESSAGE
	@for x in $(SUBFOLDERS) ; \
	do  ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) solaris \
	) ; done

CHECK_PLATFORM_SOL: PHONY
	@if [ ! "$(PLATFORM)" ] ; then \
		echo " set PLATFORM env var to SOLARIS for Solaris systems" ; \
		exit 1 ; \
	fi

clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_buildinfo: BUILDINFO_MESSAGE
	cd diagnostic_tools/buildinfo && \
		$(MAKE) -f makefile.unix clean ; \
		$(MAKE) -f makefile.unix clean_bin ; \
		$(MAKE) -f makefile.unix
	buildinfo

unix_libs: CHECK_PLATFORM_UNIX MAKING_C_LIBRARIES_MESSAGE
	@cd libsrc && \
		$(MAKE) -f makefile.unix

unix_modules: CHECK_PLATFORM_UNIX MAKING_MODULES_MESSAGE
	@for x in $(SUBFOLDERS) ; \
	do  ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) unix \
	) ; done

CHECK_PLATFORM_UNIX: PHONY
	@if [ ! "$(PLATFORM)" ] ; then \
		echo " set PLATFORM env var to LINUX for GNU or Mac OS X systems" ; \
		exit 1 ; \
	fi

clean_unix: PHONY
	-@cd diagnostic_tools/buildinfo && \
		echo Cleaning in: `pwd` ; \
		$(MAKE) -f makefile.unix clean
	-@cd libsrc && \
		echo Cleaning in: `pwd` ; \
		$(MAKE) -f makefile.unix clean
	-@for x in $(SUBFOLDERS) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) clean_unix \
	) ; done

clean_bin_unix: PHONY
	-@cd diagnostic_tools/buildinfo && \
		echo Cleaning binaries in: `pwd` ; \
		$(MAKE) -f makefile.unix clean_bin
	-@cd libsrc && \
		echo Cleaning binaries in: `pwd` ; \
		$(MAKE) -f makefile.unix clean_bin
	-@for x in $(SUBFOLDERS) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) clean_bin_unix \
	) ; done

###################
# Windows targets #
###################

nt_buildinfo: BUILDINFO_MESSAGE
	pushd diagnostic_tools\buildinfo & \
		$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
	popd
	buildinfo

nt_libs: nt_c_libs

nt_c_libs: MAKING_C_LIBRARIES_MESSAGE
	@pushd libsrc & \
		$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
	popd

nt_modules: MAKING_MODULES_MESSAGE
	@for %x in ( $(SUBFOLDERS) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) nt & \
		popd \
	)

clean_nt: PHONY
	-@pushd diagnostic_tools\buildinfo & \
		for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
		$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
	popd
	-@pushd libsrc & \
		for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
		$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
	popd
	-@for %x in ( $(SUBFOLDERS) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) clean_nt & \
		popd \
	)

clean_bin_nt: PHONY
	-@pushd diagnostic_tools\buildinfo & \
		for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
		$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
	popd
	-@pushd libsrc & \
		for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
		$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
	popd
	-@for %x in ( $(SUBFOLDERS) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) clean_bin_nt & \
		popd \
	)

##################
# Helper targets #
##################

BUILDINFO_MESSAGE: PHONY
	@echo -*-*-*-*-*-*-*-*-*-*
	@echo Earthworm build info
	@echo -*-*-*-*-*-*-*-*-*-*

MAKING_C_LIBRARIES_MESSAGE: PHONY
	@echo -*-*-*-*-*-*-*-*-*
	@echo Making C libraries
	@echo -*-*-*-*-*-*-*-*-*

MAKING_MODULES_MESSAGE: PHONY
	@echo -*-*-*-*-*-*-*-*-*-*-*-*
	@echo Making Earthworm modules
	@echo -*-*-*-*-*-*-*-*-*-*-*-*

PHONY:

=== python/ewave_plotting/requirements.txt ===
blinker==1.4
click==6.7
dominate==2.3.5
Flask==0.12.2
Flask-Bootstrap==3.3.7.1
Flask-Moment==0.7.0
Flask-RESTful==0.3.7
Flask-WTF==0.14.2
itsdangerous==0.24
Jinja2==2.10
Mako==1.0.7
MarkupSafe==1.0
matplotlib==2.1.1
numpy==1.13.3
obspy==1.1.0
python-dateutil==2.6.1
scipy==0.19.1
six==1.11.0
SQLAlchemy==1.1.11
visitor==0.1.3
Werkzeug==0.14.1
WTForms==2.2.1

=== src/archiving/Makefile ===
#
#       makefile for Earthworm
#             Lucky Vidmar Mon Jan 11 21:31:51 MST 1999
#
#
# This makefile contains all the directives necessary to compile
# earthworm modules in a directory under Solaris and NT, as well as
# clean up the Earthworm source and binary file tree.
#
# 1. To build (compile) the Earthworm modules on a Sun:
#        make solaris
#
# 2. To build (compile) the Earthworm modules on an NT PC:
#        nmake nt
#
# 3. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a Sun:
#        make clean_solaris
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a PC running NT:
#        nmake clean_nt
#
# 5. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a Sun:
#        make clean_bin_solaris
#
# 6. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a PC running NT:
#        nmake clean_bin_nt

# Whenever a new module is added to the Earthworm distribution, it should be
# added to the list of ALL_MODULES, and to the appropriate lists of
# SOLARIS_MODULES, UNIX_MODULES, and NT_MODULES.  The reverse procedure should
# be followed when a module is removed from the Earthworm distribution.

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# List all modules (for cleaning purposes)
#

ALL_MODULES = \
	archman \
	cont_trig \
	ew2mseed \
	ewmseedarchiver \
	menlo_report \
	mole \
	mseedarchplayer \
	nq2wws \
	nq2wws_ack \
	ringplayer \
	runwws \
	tankplayer \
	tankplayer_tools \
	trig2disk \
	wave_serverV \
	waveman2disk \
	ws2matlab

#
# List all modules to be compiled into the Unix/Linux/Mac OS X distribution
#

UNIX_MODULES = \
	archman \
	cont_trig \
	ew2mseed \
	ewmseedarchiver \
	menlo_report \
	mseedarchplayer \
	nq2wws \
	ringplayer \
	tankplayer \
	tankplayer_tools \
	trig2disk \
	wave_serverV \
	waveman2disk
	# compiling mole (ew2moledb) requires 'cmake'
	# mole

#
# List all modules to be compiled into the Windows distribution
#

NT_MODULES = \
	archman \
	cont_trig \
	ewmseedarchiver \
	menlo_report \
	mseedarchplayer \
	runwws \
	tankplayer \
	tankplayer_tools \
	trig2disk \
	wave_serverV \
	waveman2disk
	# linking mole (ew2moledb) fails with unresolved symbols for -m32
	# linking mole (ew2moledb) fails with mismatched architecture for -m64
	# mole

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_modules
unix:    unix_modules
nt:      nt_modules

###################
# Solaris targets #
###################

solaris_modules:   unix_modules
clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_modules: PHONY
	@for x in $(UNIX_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) -f makefile.unix clean \
	) ; done

clean_bin_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) -f makefile.unix clean_bin \
	) ; done

###################
# Windows targets #
###################

nt_modules: PHONY
	@for %x in ( $(NT_MODULES) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
		popd \
	)

clean_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		popd \
	)

clean_bin_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		popd \
	)

PHONY:

=== src/data_exchange/Makefile ===
#
#       makefile for Earthworm
#             Lucky Vidmar Mon Jan 11 21:31:51 MST 1999
#
#
# This makefile contains all the directives necessary to compile
# earthworm modules in a directory under Solaris and NT, as well as
# clean up the Earthworm source and binary file tree.
#
# 1. To build (compile) the Earthworm modules on a Sun:
#        make solaris
#
# 2. To build (compile) the Earthworm modules on an NT PC:
#        nmake nt
#
# 3. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a Sun:
#        make clean_solaris
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a PC running NT:
#        nmake clean_nt
#
# 5. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a Sun:
#        make clean_bin_solaris
#
# 6. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a PC running NT:
#        nmake clean_bin_nt

# Whenever a new module is added to the Earthworm distribution, it should be
# added to the list of ALL_MODULES, and to the appropriate lists of
# SOLARIS_MODULES, UNIX_MODULES, and NT_MODULES.  The reverse procedure should
# be followed when a module is removed from the Earthworm distribution.

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# List all modules (for cleaning purposes)
#

ALL_MODULES = \
	coaxtoring \
	condenselogo \
	ew2file \
	ew2ringserver \
	ewexport2ringserver \
	export \
	file2ew \
	getfile_client \
	getfile_ew \
	getfileII \
	import_generic \
	import_pasv \
	makehbfile \
	pdl2ew \
	pickwasher \
	ringdup \
	ringtocoax \
	ringtocoaxII \
	scn_convert \
	seisan_report \
	sendfile_srv \
	sendfileII \
	sendfilemt \
	slink2ew

#
# List all modules to be compiled into the Solaris distribution
#

SOLARIS_MODULES = $(UNIX_MODULES)

#
# List all modules to be compiled into the Unix/Linux/Mac OS X distribution
#

UNIX_MODULES = \
	coaxtoring \
	condenselogo \
	ew2file \
	ew2ringserver \
	ewexport2ringserver \
	export \
	file2ew \
	getfile_client \
	getfile_ew \
	getfileII \
	import_generic \
	import_pasv \
	makehbfile \
	pdl2ew \
	pickwasher \
	ringdup \
	ringtocoax \
	ringtocoaxII \
	scn_convert \
	seisan_report \
	sendfileII \
	slink2ew

#
# List all modules to be compiled into the Windows distribution
#

NT_MODULES = \
	coaxtoring \
	condenselogo \
	ew2file \
	ew2ringserver \
	ewexport2ringserver \
	export \
	file2ew \
	getfile_ew \
	getfileII \
	import_generic \
	import_pasv \
	makehbfile \
	pickwasher \
	ringdup \
	ringtocoax \
	ringtocoaxII \
	scn_convert \
	seisan_report \
	sendfileII \
	slink2ew
#	pdl2ew \

#
# List all stand-alone non-Earthworm programs
#

STANDALONE_MODULES = \
	getfileII \
	makehbfile \
	sendfileII

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_modules
unix:    unix_modules
nt:      nt_modules

###################
# Solaris targets #
###################

solaris_modules: PHONY
	@for x in $(SOLARIS_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_modules: PHONY
	@for x in $(UNIX_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) -f makefile.unix clean \
	) ; done

clean_bin_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) -f makefile.unix clean_bin \
	) ; done

###################
# Windows targets #
###################

nt_modules: PHONY
	@for %x in ( $(NT_MODULES) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
		popd \
	)

clean_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		popd \
	)

clean_bin_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		popd \
	)

PHONY:

=== src/diagnostic_tools/Makefile ===
#
#       makefile for Earthworm
#             Lucky Vidmar Mon Jan 11 21:31:51 MST 1999
#
#
# This makefile contains all the directives necessary to compile
# earthworm modules in a directory under Solaris and NT, as well as
# clean up the Earthworm source and binary file tree.
#
# 1. To build (compile) the Earthworm modules on a Sun:
#        make solaris
#
# 2. To build (compile) the Earthworm modules on an NT PC:
#        nmake nt
#
# 3. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a Sun:
#        make clean_solaris
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a PC running NT:
#        nmake clean_nt
#
# 5. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a Sun:
#        make clean_bin_solaris
#
# 6. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a PC running NT:
#        nmake clean_bin_nt

# Whenever a new module is added to the Earthworm distribution, it should be
# added to the list of ALL_MODULES, and to the appropriate lists of
# SOLARIS_MODULES, UNIX_MODULES, and NT_MODULES.  The reverse procedure should
# be followed when a module is removed from the Earthworm distribution.

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# List all modules (for cleaning purposes)
#

ALL_MODULES = \
	buildinfo \
	config_ws \
	dumpwave \
	file2ring \
	findwave \
	gaplist \
	getmenu \
	getstation \
	latency_mon \
	maketrace \
	putpick \
	ringVtanks \
	sniffring \
	sniffrings \
	sniffwave \
	template \
	time_converter \
	wave_probe \
	wsv_test

#
# List all modules to be compiled into the Solaris distribution
#

SOLARIS_MODULES = \
	dumpwave \
	file2ring \
	findwave \
	gaplist \
	getmenu \
	getstation \
	maketrace \
	putpick \
	sniffring \
	sniffrings \
	sniffwave \
	template \
	time_converter \
	wsv_test

#
# List all modules to be compiled into the Unix/Linux/Mac OS X distribution
#

UNIX_MODULES = \
	dumpwave \
	file2ring \
	findwave \
	gaplist \
	getmenu \
	getstation \
	maketrace \
	putpick \
	sniffring \
	sniffrings \
	sniffwave \
	template \
	time_converter

#
# List all modules to be compiled into the Windows distribution
#

NT_MODULES = \
	config_ws \
	dumpwave \
	file2ring \
	findwave \
	gaplist \
	getmenu \
	getstation \
	latency_mon \
	maketrace \
	putpick \
	sniffring \
	sniffrings \
	sniffwave \
	template \
	time_converter \
	wave_probe \
	wsv_test

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_modules
unix:    unix_modules
nt:      nt_modules

###################
# Solaris targets #
###################

solaris_modules: PHONY
	@for x in $(SOLARIS_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_modules: PHONY
	@for x in $(UNIX_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) -f makefile.unix clean \
	) ; done

clean_bin_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) -f makefile.unix clean_bin \
	) ; done

###################
# Windows targets #
###################

nt_modules: PHONY
	@for %x in ( $(NT_MODULES) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
		popd \
	)

clean_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		popd \
	)

clean_bin_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		popd \
	)

PHONY:

=== src/grab_bag/Makefile ===
#
#       makefile for Earthworm
#             Lucky Vidmar Mon Jan 11 21:31:51 MST 1999
#
#
# This makefile contains all the directives necessary to compile
# earthworm modules in a directory under Solaris and NT, as well as
# clean up the Earthworm source and binary file tree.
#
# 1. To build (compile) the Earthworm modules on a Sun:
#        make solaris
#
# 2. To build (compile) the Earthworm modules on an NT PC:
#        nmake nt
#
# 3. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a Sun:
#        make clean_solaris
#
# 4. To clean up the source tree, i.e. remove all *.o, *.obj, *~, *%,
#    and core files from all modules, on a PC running NT:
#        nmake clean_nt
#
# 5. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a Sun:
#        make clean_bin_solaris
#
# 6. To clean up the bin directory, i.e. remove all Earthworm programs,
#    on a PC running NT:
#        nmake clean_bin_nt

# Whenever a new module is added to the Earthworm distribution, it should be
# added to the list of ALL_MODULES, and to the appropriate lists of
# SOLARIS_MODULES, UNIX_MODULES, and NT_MODULES.  The reverse procedure should
# be followed when a module is removed from the Earthworm distribution.

# Note: Neither Sun make nor Microsoft nmake support the GNU gmake .PHONY
# pseudo-target.  Makefiles should use a phony target (the name does not matter)
# with no dependencies and no rules, then add the phony dependency to force a
# recipe to run.  This means there can never be a file with the phony target
# name (case insensitive).  Earthworm makefiles use PHONY for this purpose.

# Note: Windows nmake does not pass $(MAKEFLAGS) as part of $(MAKE) for
# recursive makes; use $(MAKE) /$(MAKEFLAGS).

#
# List all modules (for cleaning purposes)
#

ALL_MODULES = \
	activated_scripts \
	arc2trig \
	cleandir \
	comment2html \
	getter \
	harley2hinv \
	pick_recorder \
	putter \
	sac2hypo \
	trig2arc

#
# List all modules to be compiled into the Unix/Linux/Mac OS X distribution
#

UNIX_MODULES = \
	activated_scripts \
	arc2trig \
	getter \
	pick_recorder \
	putter \
	trig2arc

#
# List all modules to be compiled into the Windows distribution
#

NT_MODULES = \
	activated_scripts \
	arc2trig \
	cleandir \
	getter \
	pick_recorder \
	putter \
	trig2arc

#####################
# Top level targets #
#####################

# There is no default target; print usage info
usage: PHONY
	@echo "Usage: make unix or make solaris or nmake nt"

solaris: solaris_modules
unix:    unix_modules
nt:      nt_modules

###################
# Solaris targets #
###################

solaris_modules:   unix_modules
clean_solaris:     clean_unix
clean_bin_solaris: clean_bin_unix

###############################
# Unix/Linux/Mac OS X targets #
###############################

unix_modules: PHONY
	@for x in $(UNIX_MODULES) ; \
	do ( \
		cd $$x && \
			echo ---------- ; \
			echo Making $@ in: `pwd` ; \
			$(MAKE) -f makefile.unix \
	) ; done

clean_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning in: `pwd` ; \
			$(MAKE) -f makefile.unix clean \
	) ; done

clean_bin_unix: PHONY
	-@for x in $(ALL_MODULES) ; \
	do ( \
		cd $$x && \
			echo Cleaning binaries in: `pwd` ; \
			$(MAKE) -f makefile.unix clean_bin \
	) ; done

###################
# Windows targets #
###################

nt_modules: PHONY
	@for %x in ( $(NT_MODULES) ) \
	do @( \
		pushd %x & \
			echo ---------- & \
			for /f "delims=" %d in ( 'cd' ) do @echo Making $@ in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt & \
		popd \
	)

clean_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean & \
		popd \
	)

clean_bin_nt: PHONY
	-@for %x in ( $(ALL_MODULES) ) \
	do @( \
		pushd %x & \
			for /f "delims=" %d in ( 'cd' ) do @echo Cleaning binaries in: %d & \
			$(MAKE) /$(MAKEFLAGS) /f makefile.nt clean_bin & \
		popd \
	)

PHONY:

=== src/data_sources/nmxptool/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/nmxptool
pkgincludedir = $(includedir)/nmxptool
pkglibdir = $(libdir)/nmxptool
pkglibexecdir = $(libexecdir)/nmxptool
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
#am__append_1 = bin/${DLL_PTHREAD}
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(dist_doc_DATA) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(docdir)"
DATA = $(dist_doc_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
	$(LISP)config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
	COPYING ChangeLog INSTALL NEWS README TODO compile \
	config.guess config.sub depcomp install-sh ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing autoconf
AUTOHEADER = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing autoheader
AUTOMAKE = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing automake-1.15
AWK = gawk
BINARY_DIST_NAME_SUFFIX = x86_64-unknown-linux-gnu
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include -I/opt/earthworm/earthworm_7.10/src/libsrc/util/libmseed -I/opt/earthworm/earthworm_7.10/include  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
CPP = gcc -E
CPPFLAGS = -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIR_PTHREAD = 
DLLTOOL = false
DLL_PTHREAD = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EWOS = 
EW_HOME = /opt/earthworm
EW_LIBSRC = 
EW_LIBSRC_OS = 
EW_LIBSRC_UTIL = 
EW_PARAMS = /opt/earthworm/run_working/params/
EW_VERSION = earthworm_7.10
EXEEXT = 
FGREP = /bin/grep -F
GLOBALFLAGS =  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/opt/earthworm/earthworm_7.10/src/libsrc/util/libmseed
LIBOBJS = 
LIBS =  -lrt -lm -lmseed /opt/earthworm/earthworm_7.10/lib/kom.o /opt/earthworm/earthworm_7.10/lib/getutil.o /opt/earthworm/earthworm_7.10/lib/logit_mt.o /opt/earthworm/earthworm_7.10/lib/socket_ew_common.o /opt/earthworm/earthworm_7.10/lib/transport.o /opt/earthworm/earthworm_7.10/lib/sleep_ew.o /opt/earthworm/earthworm_7.10/lib/socket_ew.o /opt/earthworm/earthworm_7.10/lib/time_ew.o /opt/earthworm/earthworm_7.10/lib/threads_ew.o /opt/earthworm/earthworm_7.10/lib/sema_ew.o /opt/earthworm/earthworm_7.10/lib/swap.o /opt/earthworm/earthworm_7.10/lib/mem_circ_queue.o
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = ./install-sh -c -d
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = nmxptool
PACKAGE_BUGREPORT = matteo.quintiliani@ingv.it

=== src/data_sources/reftek2ew/Makefile ===
# @(#)Makefile	1.4 07/01/98
# ESSW style makefile for import_rtp

CC      = cc
VPATH   =
BINDIR  = $(VPATH)../../../bin/$(PLATFORM)
LIBDIR  = $(VPATH)../../../lib/$(PLATFORM)
INCDIR  = $(VPATH)../../include
EWBIN   = $(EW_HOME)/$(EW_VERSION)/bin
EWLIB   = $(EW_HOME)/$(EW_VERSION)/lib
EWINC   = $(EW_HOME)/$(EW_VERSION)/include
INCS    = -I$(INCDIR) -I$(EWINC)
OPTMIZ  = -g
DEFS    = -D$(OSNAME) -D$(OSTYPE) -D_REENTRANT
CFLAGS += $(INCS) $(OPTMIZ) $(DEFS)
LIBS    = -L$(LIBDIR) -lrtp -lreftek -lutil -lthread -lposix4 -lm $(SOCKLIBS)
EWOBJS  = $(EWLIB)/transport.o
EWOBJS += $(EWLIB)/getutil.o
EWOBJS += $(EWLIB)/kom.o
EWOBJS += $(EWLIB)/logit_mt.o
EWOBJS += $(EWLIB)/sema_ew.o
EWOBJS += $(EWLIB)/sleep_ew.o
EWOBJS += $(EWLIB)/time_ew.o
EWOBJS += $(EWLIB)/threads_ew.o
OBJS    = main.o
OBJS   += hbeat.o
OBJS   += init.o
OBJS   += notify.o
OBJS   += params.o
OBJS   += scn.o
OBJS   += send.o
OBJS   += samprate.o
OBJS   += terminate.o
OUTPUT = import_rtp

all: FORCE
	cd OBJS/$(PLATFORM) && \
	$(MAKE) -f ../../Makefile VPATH=../../ $(OUTPUT)

install:
	cd OBJS/$(PLATFORM) && \
	$(MAKE) -f ../../Makefile VPATH=../../ doinstall

clean: FORCE
	rm -f OBJS/$(PLATFORM)/*

remove: FORCE
	cd $(BINDIR) && rm -f $(OUTPUT)

doinstall: $(OUTPUT)
	$(INSTALL) -c -m 755 $(OUTPUT) $(BINDIR)

FORCE:

$(OUTPUT): $(OBJS) $(LIBDIR)/librtp.a $(LIBDIR)/libreftek.a \
	$(LIBDIR)/libutil.a
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(EWOBJS) $(LIBS)

$(OBJS): import_rtp.h

watch: watch.c
	$(CC) $(CFLAGS) -DDEBUG_TEST -o OBJS/$(PLATFORM)/$@ watch.c $(EWOBJS) $(LIBS)

partest: params.c scn.c
	$(CC) $(CFLAGS) -DDEBUG_TEST -o OBJS/$(PLATFORM)/$@ params.c scn.c $(LIBS)

=== src/data_exchange/slink2ew/libslink/Makefile ===
# Build environment can be configured the following
# environment variables:
#   CC : Specify the C compiler to use
#   CFLAGS : Specify compiler options to use

MAJOR_VER = 2
MINOR_VER = 6
CURRENT_VER = $(MAJOR_VER).$(MINOR_VER)
COMPAT_VER  = $(MAJOR_VER).$(MINOR_VER)

LIB_SRCS = \
	config.c \
	genutils.c \
	globmatch.c \
	gswap.c \
	logging.c \
	msrecord.c \
	network.c \
	slplatform.c \
	slutils.c \
	statefile.c \
	strutils.c \
	unpack.c

LIB_OBJS  = $(LIB_SRCS:.c=.o)
LIB_DOBJS = $(LIB_SRCS:.c=.lo)

LIB_A           = libslink.a
LIB_SO_FILENAME = libslink.so
LIB_SO_ALIAS    = $(LIB_SO_FILENAME).$(MAJOR_VER)
LIB_SO          = $(LIB_SO_FILENAME).$(CURRENT_VER)
LIB_DYN_ALIAS   = libslink.dylib
LIB_DYN         = libslink.$(CURRENT_VER).dylib

all: static

static: $(LIB_A)

shared: $(LIB_SO)

dynamic: $(LIB_DYN)

# Build static library
$(LIB_A): $(LIB_OBJS)
	$(RM) $(LIB_A)
	ar -crs $(LIB_A) $(LIB_OBJS)

# Build shared library using GCC-style options
$(LIB_SO): $(LIB_DOBJS)
	$(RM) $(LIB_SO) $(LIB_SO_ALIAS) $(LIB_SO_FILENAME)
	$(CC) $(CFLAGS) -shared -Wl,-soname -Wl,$(LIB_SO_ALIAS) -o $(LIB_SO) $(LIB_DOBJS)
	ln -s $(LIB_SO) $(LIB_SO_ALIAS)
	ln -s $(LIB_SO) $(LIB_SO_FILENAME)

# Build dynamic library (usually for Mac OSX)
$(LIB_DYN): $(LIB_DOBJS)
	$(RM) $(LIB_DYN) $(LIB_DYN_ALIAS)
	$(CC) $(CFLAGS) -dynamiclib -compatibility_version $(COMPAT_VER) -current_version $(CURRENT_VER) -install_name $(LIB_DYN_ALIAS) -o $(LIB_DYN) $(LIB_DOBJS)
	ln -sf $(LIB_DYN) $(LIB_DYN_ALIAS)

clean: PHONY
	-$(RM) $(LIB_OBJS) $(LIB_DOBJS) $(LIB_A) $(LIB_SO) $(LIB_SO_ALIAS) \
		$(LIB_SO_FILENAME) $(LIB_DYN) $(LIB_DYN_ALIAS)

install: PHONY
	@echo
	@echo "No install method, copy the library, header files, and"
	@echo "documentation to the preferred install location"
	@echo

.SUFFIXES: .c .lo

# Standard object building for dynamic library components using -fPIC
.c.lo:
	$(CC) -c -o $@ $(CFLAGS) $(CPPFLAGS) -fPIC $<

PHONY:

=== src/data_sources/nmxptool/lib/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# lib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/nmxptool
pkgincludedir = $(includedir)/nmxptool
pkglibdir = $(libdir)/nmxptool
pkglibexecdir = $(libexecdir)/nmxptool
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
#am__append_1 = nmxp_win.c
#am__append_2 = $(INCDIR)/nmxp_win.h
subdir = lib
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__include_HEADERS_DIST) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(includedir)"
LIBRARIES = $(lib_LIBRARIES)
ARFLAGS = cru
AM_V_AR = $(am__v_AR_$(V))
am__v_AR_ = $(am__v_AR_$(AM_DEFAULT_VERBOSITY))
am__v_AR_0 = @echo "  AR      " $@;
am__v_AR_1 =
libnmxp_a_AR = $(AR) $(ARFLAGS)
libnmxp_a_LIBADD =
am__libnmxp_a_SOURCES_DIST = nmxp.c nmxp_base.c nmxp_data.c \
	nmxp_chan.c nmxp_log.c nmxp_crc32.c nmxp_memory.c nmxp_win.c
#am__objects_1 = libnmxp_a-nmxp_win.$(OBJEXT)
am_libnmxp_a_OBJECTS = libnmxp_a-nmxp.$(OBJEXT) \
	libnmxp_a-nmxp_base.$(OBJEXT) libnmxp_a-nmxp_data.$(OBJEXT) \
	libnmxp_a-nmxp_chan.$(OBJEXT) libnmxp_a-nmxp_log.$(OBJEXT) \
	libnmxp_a-nmxp_crc32.$(OBJEXT) libnmxp_a-nmxp_memory.$(OBJEXT) \
	$(am__objects_1)
libnmxp_a_OBJECTS = $(am_libnmxp_a_OBJECTS)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 =
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 =
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 =
SOURCES = $(libnmxp_a_SOURCES)
DIST_SOURCES = $(am__libnmxp_a_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__include_HEADERS_DIST = $(INCDIR)/nmxp.h $(INCDIR)/nmxp_base.h \
	$(INCDIR)/nmxp_data.h $(INCDIR)/nmxp_chan.h \
	$(INCDIR)/nmxp_log.h $(INCDIR)/nmxp_crc32.h \
	$(INCDIR)/nmxp_memory.h $(INCDIR)/nmxp_win.h
HEADERS = $(include_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing autoconf
AUTOHEADER = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing autoheader
AUTOMAKE = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing automake-1.15
AWK = gawk
BINARY_DIST_NAME_SUFFIX = x86_64-unknown-linux-gnu
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include -I/opt/earthworm/earthworm_7.10/src/libsrc/util/libmseed -I/opt/earthworm/earthworm_7.10/include  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
CPP = gcc -E
CPPFLAGS = -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIR_PTHREAD = 
DLLTOOL = false
DLL_PTHREAD = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EWOS = 
EW_HOME = /opt/earthworm
EW_LIBSRC = 
EW_LIBSRC_OS = 
EW_LIBSRC_UTIL = 
EW_PARAMS = /opt/earthworm/run_working/params/
EW_VERSION = earthworm_7.10
EXEEXT = 
FGREP = /bin/grep -F
GLOBALFLAGS =  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/opt/earthworm/earthworm_7.10/src/libsrc/util/libmseed
LIBOBJS = 
LIBS =  -lrt -lm -lmseed /opt/earthworm/earthworm_7.10/lib/kom.o /opt/earthworm/earthworm_7.10/lib/getutil.o /opt/earthworm/earthworm_7.10/lib/logit_mt.o /opt/earthworm/earthworm_7.10/lib/socket_ew_common.o /opt/earthworm/earthworm_7.10/lib/transport.o /opt/earthworm/earthworm_7.10/lib/sleep_ew.o /opt/earthworm/earthworm_7.10/lib/socket_ew.o /opt/earthworm/earthworm_7.10/lib/time_ew.o /opt/earthworm/earthworm_7.10/lib/threads_ew.o /opt/earthworm/earthworm_7.10/lib/sema_ew.o /opt/earthworm/earthworm_7.10/lib/swap.o /opt/earthworm/earthworm_7.10/lib/mem_circ_queue.o
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = .././install-sh -c -d
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = nmxptool
PACKAGE_BUGREPORT = matteo.quintiliani@ingv.it
PACKAGE_NAME = nmxptool
PACKAGE_STRING = nmxptool 2.1.4
PACKAGE_TARNAME = nmxptool
PACKAGE_URL = 
PACKAGE_VERSION = 2.1.4
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SEISCOMPDIR = /home/sysop/seiscomp3
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.1.4
abs_builddir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/lib
abs_srcdir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/lib
abs_top_builddir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool

=== src/data_sources/nmxptool/src/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/nmxptool
pkgincludedir = $(includedir)/nmxptool
pkglibdir = $(libdir)/nmxptool
pkglibexecdir = $(libexecdir)/nmxptool
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
bin_PROGRAMS = nmxptool$(EXEEXT)
am__append_1 = seedlink_plugin.c seedlink_plugin.h
subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__nmxptool_SOURCES_DIST = nmxptool.c nmxptool_getoptlong.c \
	nmxptool_getoptlong.h nmxptool_ew.c nmxptool_ew.h \
	nmxptool_chanseq.c nmxptool_chanseq.h nmxptool_sigcondition.c \
	nmxptool_sigcondition.h nmxptool_listen.c nmxptool_listen.h \
	seedlink_plugin.c seedlink_plugin.h
am__objects_1 =  \
	nmxptool-seedlink_plugin.$(OBJEXT)
am_nmxptool_OBJECTS = nmxptool-nmxptool.$(OBJEXT) \
	nmxptool-nmxptool_getoptlong.$(OBJEXT) \
	nmxptool-nmxptool_ew.$(OBJEXT) \
	nmxptool-nmxptool_chanseq.$(OBJEXT) \
	nmxptool-nmxptool_sigcondition.$(OBJEXT) \
	nmxptool-nmxptool_listen.$(OBJEXT) $(am__objects_1)
#nodist_nmxptool_OBJECTS =  \
#	nmxptool-kom.$(OBJEXT) \
#	nmxptool-getutil.$(OBJEXT) \
#	nmxptool-logit_mt.$(OBJEXT) \
#	nmxptool-socket_ew_common.$(OBJEXT) \
#	nmxptool-swap.$(OBJEXT) \
#	nmxptool-mem_circ_queue.$(OBJEXT) \
#	nmxptool-transport.$(OBJEXT) \
#	nmxptool-sleep_ew.$(OBJEXT) \
#	nmxptool-socket_ew.$(OBJEXT) \
#	nmxptool-time_ew.$(OBJEXT) \
#	nmxptool-threads_ew.$(OBJEXT) \
#	nmxptool-sema_ew.$(OBJEXT)
nmxptool_OBJECTS = $(am_nmxptool_OBJECTS) $(nodist_nmxptool_OBJECTS)
nmxptool_DEPENDENCIES = ../lib/libnmxp.a
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 =
nmxptool_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(nmxptool_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 =
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 =
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 =
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 =
SOURCES = $(nmxptool_SOURCES) $(nodist_nmxptool_SOURCES)
DIST_SOURCES = $(am__nmxptool_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing autoconf
AUTOHEADER = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing autoheader
AUTOMAKE = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing automake-1.15
AWK = gawk
BINARY_DIST_NAME_SUFFIX = x86_64-unknown-linux-gnu
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include -I/opt/earthworm/earthworm_7.10/src/libsrc/util/libmseed -I/opt/earthworm/earthworm_7.10/include  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
CPP = gcc -E
CPPFLAGS = -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIR_PTHREAD = 
DLLTOOL = false
DLL_PTHREAD = 
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EWOS = 
EW_HOME = /opt/earthworm
EW_LIBSRC = 
EW_LIBSRC_OS = 
EW_LIBSRC_UTIL = 
EW_PARAMS = /opt/earthworm/run_working/params/
EW_VERSION = earthworm_7.10
EXEEXT = 
FGREP = /bin/grep -F
GLOBALFLAGS =  -g -pthread -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wno-unknown-pragmas -Wno-pragmas -Wformat -Wdeclaration-after-statement -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I/opt/earthworm/earthworm_7.10/include
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/opt/earthworm/earthworm_7.10/src/libsrc/util/libmseed
LIBOBJS = 
LIBS =  -lrt -lm -lmseed /opt/earthworm/earthworm_7.10/lib/kom.o /opt/earthworm/earthworm_7.10/lib/getutil.o /opt/earthworm/earthworm_7.10/lib/logit_mt.o /opt/earthworm/earthworm_7.10/lib/socket_ew_common.o /opt/earthworm/earthworm_7.10/lib/transport.o /opt/earthworm/earthworm_7.10/lib/sleep_ew.o /opt/earthworm/earthworm_7.10/lib/socket_ew.o /opt/earthworm/earthworm_7.10/lib/time_ew.o /opt/earthworm/earthworm_7.10/lib/threads_ew.o /opt/earthworm/earthworm_7.10/lib/sema_ew.o /opt/earthworm/earthworm_7.10/lib/swap.o /opt/earthworm/earthworm_7.10/lib/mem_circ_queue.o
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAKEINFO = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = .././install-sh -c -d
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = nmxptool
PACKAGE_BUGREPORT = matteo.quintiliani@ingv.it
PACKAGE_NAME = nmxptool
PACKAGE_STRING = nmxptool 2.1.4
PACKAGE_TARNAME = nmxptool
PACKAGE_URL = 
PACKAGE_VERSION = 2.1.4
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SEISCOMPDIR = /home/sysop/seiscomp3
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.1.4
abs_builddir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/src
abs_srcdir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/src
abs_top_builddir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool
abs_top_srcdir = /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /opt/earthworm/earthworm_7.10/src/data_sources/nmxptool/install-sh
libdir = ${exec_prefix}/lib

=== src/grab_bag/makeTTTable/Iasp91/Makefile ===
SRC1 = \
	emiasp91.f \
	libtau.f \
	libsun.f \
	remodl.f

SRC2 = \
	libsun.f \
	libtau.f \
	setbrn.f

SRC3 = \
	libsun.f \
	libtau.f \
	ttimes.f

remodl: $(SRC1)
	$(FC) -o $@ $(FFLAGS) $(SRC1)

setbrn: $(SRC2)
	$(FC) -o $@ $(FFLAGS) $(SRC2)

ttimes: $(SRC3)
	$(FC) -o $@ $(FFLAGS) $(SRC3)


# Clean-up rules
.PHONY: clean clean_bin

clean:
	-$(RM) a.out core *.o *.obj *% *~
	-$(RM) -r remodl.dSYM setbrn.dSYM ttimes.dSYM

clean_bin:
	-$(RM) remodl setbrn ttimes

=== debian/changelog ===
earthworm (7.10-1ubuntu2) UNRELEASED; urgency=medium

  * Includes fix for missing Fortran-dependent binaries

 -- Alexander Schnackenberg <a.schnackenberg@isti.com>  Mon, 01 Jul 2019 19:20:16 -0400

earthworm (7.10-1ubuntu1) RELEASED; urgency=medium

  * Initial release. 
  * Adding in new version of Swarm (2.8.9)

 -- Alexander Schnackenberg <a.schnackenberg@isti.com>  Tue, 05 Feb 2019 13:57:06 -0500

=== debian/control ===
Package: earthworm
Version: 7.10-1ubuntu2
Architecture: amd64
Maintainer: Alexander Schnackenberg <a.schnackenberg@isti.com>
Installed-Size: 200053
Depends: libgfortran4
Section: science
Priority: optional
Homepage: www.earthwormcentral.org
Description: Earthworm provides users with an advanced open source seismic data acquisition and processing
 capable of calculating earthquake locations and magnitudes.
 .
 The Earthworm system is a robust and mature software tool, incorporating over 25 years of design and
 development.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -Wextra -Wno-sign-compare -Wno-unknown-pragmas -Wno-pragmas -Wformat
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/csv.jar:/usr/share/java/debug-disable.jar:/usr/share/java/itext.jar
export EW_HOME=/opt/earthworm
export EW_VERSION=earthworm-7.10
export PATH := $(PATH):$(EW_HOME)/$(EW_VERSION)/bin
export EWBITS := 64
export WARNFLAGS:=-Wall -Wextra -Wno-sign-compare -Wno-unknown-pragmas -Wno-pragmas -Wformat
export GLOBALFLAGS:=-m$(EWBITS) -g -D_LINUX -Dlinux -D_INTEL -D_USE_SCHED -D_USE_PTHREADS -D_USE_TERMIOS -D_FILE_OFFSET_BITS=64 -I$(EW_HOME)/$(EW_VERSION)/include $(WARNFLAGS)
export PLATFORM:=LINUX

export LINK_LIBS:=-lm -lpthread

export CFLAGS:=$(GLOBALFLAGS)
export CXXFLAGS:=$(GLOBALFLAGS)

FC=gfortran
export FC
export FFLAGS:=$(TARGET)-O -g -Wuninitialized -Werror=line-truncation -ffpe-trap=invalid,zero,overflow -fbacktrace

%:
	dh $@ --with javahelper --sourcedirectory=src

clean:
	cd src; make clean_unix; make clean_bin_unix

build:
	cd src; make unix

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cp -R --parents /opt/earthworm/earthworm-7.10/bin /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/doc /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/environment /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/include /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/include_cpp /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/lib /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/params /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp -R --parents /opt/earthworm/earthworm-7.10/src /opt/earthworm/earthworm-7.10/debian/earthworm/
	cp /opt/earthworm/earthworm-7.10/README.txt /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/README.txt
	cp /opt/earthworm/earthworm-7.10/help.txt /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/help.txt
	cp /opt/earthworm/earthworm-7.10/release_notes.working /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/release_notes.v7.10
	mkdir /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian
	cp /opt/earthworm/earthworm-7.10/debian/changelog /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/changelog
	cp /opt/earthworm/earthworm-7.10/debian/compat /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/compat
	cp /opt/earthworm/earthworm-7.10/debian/control /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/control
	cp /opt/earthworm/earthworm-7.10/debian/copyright /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/copyright
	cp /opt/earthworm/earthworm-7.10/debian/rules /opt/earthworm/earthworm-7.10/debian/earthworm/opt/earthworm/earthworm-7.10/debian/rules

binary: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installinfo -a
	dh_link
	dh_strip
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
